lifecam
=======

I was reading a [blog post](https://writings.stephenwolfram.com/2019/02/seeking-the-productive-life-some-details-of-my-personal-infrastructure/) by Stephen Wolfram:

>  But when I go to events like trade shows I typically bring a tiny
>  camera with me, that takes a picture every half-minute. If I’m
>  wearing one of those lanyard name tags I’ll typically clip the
>  camera on the top of the name tag, among other things putting it at
>  an ideal height to capture name tags of people I meet. When I write
>  my personal trip report I’ll typically review the pictures, and
>  sometimes copy a few into my trip notebook.

I thought it would be cool to build something like this, and maybe use
the photos to do some interesting photo analysis. I picked up an
[OpenMV H7 R2](https://www.sparkfun.com/products/18982) with a
[wide-angle lens](https://www.sparkfun.com/products/16778). I wrote a
[quick little program](main.py) to take a picture every thirty seconds
and write it to an image directory. This code collects those images
into a video.

I haven't used this for anything yet on account of not having a
case. I might try to replicate this with an OAK-D for the inside of my
house.
